<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="48dp"
    android:background="?android:selectableItemBackground"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/layout_loading"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <TextView
            android:id="@+id/tv_loading"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:textSize="?attr/textSizeXXX"
            android:text="正在加载中..." />

        <ProgressBar
            style="?android:attr/progressBarStyleSmall"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginRight="8dp"
            android:layout_toLeftOf="@id/tv_loading" />
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/layout_fail"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:textSize="?attr/textSizeXXX"
            android:text="加载失败" />

    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/layout_complete"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:textSize="?attr/textSizeXXX"
            android:text="当前页加载完成" />

    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/layout_end"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:textSize="?attr/textSizeXXX"
            android:text="已加载全部数据" />

    </RelativeLayout>

</LinearLayout>